Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class AbstractDescendantSelector

    java.lang.Object
      org.apache.batik.css.parser.AbstractDescendantSelector

All Implemented Interfaces:
  org.w3c.css.sac.DescendantSelector, org.w3c.css.sac.Selector

Direct Known Subclasses:
  DefaultChildSelector, DefaultDescendantSelector

    public abstract class AbstractDescendantSelector

extends Object
implements org.w3c.css.sac.DescendantSelector

This class provides an abstract implementation of the `DescendantSelector` interface.

Field Summary
`protected org.w3c.css.sac.Selector` | `ancestorSelector` The ancestor selector.
`protected org.w3c.css.sac.SimpleSelector` | `simpleSelector` The simple selector.

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`protected` | `AbstractDescendantSelector(org.w3c.css.sac.Selector ancestor, org.w3c.css.sac.SimpleSelector simple)` Creates a new DescendantSelector object.

Method Summary
`org.w3c.css.sac.Selector` | `getAncestorSelector()` SAC: Implements `DescendantSelector.getAncestorSelector()`.
`org.w3c.css.sac.SimpleSelector` | `getSimpleSelector()` SAC: Implements `DescendantSelector.getSimpleSelector()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Field Detail

### ancestorSelector

    protected org.w3c.css.sac.Selector ancestorSelector

  The ancestor selector.

### simpleSelector

    protected org.w3c.css.sac.SimpleSelector simpleSelector

  The simple selector.

Constructor Detail

### AbstractDescendantSelector

    protected AbstractDescendantSelector(org.w3c.css.sac.Selector ancestor,
                                         org.w3c.css.sac.SimpleSelector simple)

  Creates a new DescendantSelector object.

Method Detail

### getAncestorSelector

    public org.w3c.css.sac.Selector getAncestorSelector()

  SAC: Implements `DescendantSelector.getAncestorSelector()`.

  Specified by:
    `getAncestorSelector` in interface `org.w3c.css.sac.DescendantSelector`

### getSimpleSelector

    public org.w3c.css.sac.SimpleSelector getSimpleSelector()

  SAC: Implements `DescendantSelector.getSimpleSelector()`.

  Specified by:
    `getSimpleSelector` in interface `org.w3c.css.sac.DescendantSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.